﻿using System.ComponentModel.DataAnnotations;

namespace Decimal_Validation_ServerSide_Razor_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "Expenses:")]
        [Required(ErrorMessage = "Expenses is required.")]
        [RegularExpression(@"^[0-9]+(\.[0-9]{1,2})$", ErrorMessage = "Valid Decimal number with maximum 2 decimal places.")]
        public string Expenses { get; set; }
    }
}
